Ubuntu Dapper 6.06 et noyau 2.6.20

Le
JBF
Bonjour,

j'ai un problème d'ACPI sous Dapper qui ne tient pas compte
des modifications de fréquence de cpu. Apparemment c'est un bug
du noyau
(https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.15/+bug/36014)
D'où ma question : est-ce qu'il est possible de mettre un noyau 2.6.20 dans
une Dapper ou bien est-on obligé de rester à un noyau 2.6.15 ?

Merci pour toute info.
--
JBF
Vidéos High-Tech et Jeu Vidéo
Téléchargements
  • Ubuntu Sudio est une distribution Linux orientée multimédia.
  • Ubuntu est une distribution Linux libre et gratuite basée sur Debian.
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Frederic Bezies
Le #1885797

Bonjour,

j'ai un problème d'ACPI sous Dapper qui ne tient pas compte
des modifications de fréquence de cpu. Apparemment c'est un bug
du noyau
(https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.15/+bug/36014)
D'où ma question : est-ce qu'il est possible de mettre un noyau 2.6.20 dans
une Dapper ou bien est-on obligé de rester à un noyau 2.6.15 ?

Merci pour toute info.


Tu pourras récupérer les sources du 2.6.20 et les recompiler.

http://www.howtoforge.com/kernel_compilation_ubuntu

--
Frederic Bezies -
Site Perso : http://perso.wanadoo.fr/frederic.bezies/
Weblog : http://frederic.bezies.free.fr/blog/
Forum : http://frederic.bezies.free.fr/forum/

JBF
Le #1885795
Frederic Bezies wrote:


Bonjour,

j'ai un problème d'ACPI sous Dapper qui ne tient pas compte
des modifications de fréquence de cpu. Apparemment c'est un bug
du noyau

(https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.15/+bug/36014)


D'où ma question : est-ce qu'il est possible de mettre un noyau 2.6.20
dans


une Dapper ou bien est-on obligé de rester à un noyau 2.6.15 ?

Merci pour toute info.


Tu pourras récupérer les sources du 2.6.20 et les recompiler.

http://www.howtoforge.com/kernel_compilation_ubuntu



Certes mais ma question était plutôt de savoir si cela peut mettre en péril
la stabilité du système. Autrement dit ce qui tourne avec un noyau 2.6.15
peut-il tourner sans soucis avec une noyau 2.6.20 ?

JBF

--
JBF


Cumbalero
Le #1887203
Autrement dit ce qui tourne avec un noyau 2.6.15
peut-il tourner sans soucis avec une noyau 2.6.20 ?



A priori, oui, sans avoir vérifié les release notes des versions
intermédiaires, je doute que des fonctionnalités aient été supprimées,
le seul risque étant donc des régressions.

Mais l'intérêt d'être en 6.06 _LTS_ devrait, en théorie si j'ai bien
tout compris, pouvoir bénéficier durant 18 mois de corrections de bugs
sur les paquets officiels.

Alors je ne sais pas dans quelle mesure ce bug ait été pris en compte
par kernel.org, dans quelle version du noyau a été corrigé s'il l'a été,
mais il me semble que si ce correctif existe, il devrait être mis à
dispo pour la Dapper, sinon, le concept de LTS perd tout son sens, et
*buntu sur des serveurs aussi AMHA.

A+
JF

JBF
Le #1887183
Cumbalero wrote:

Autrement dit ce qui tourne avec un noyau 2.6.15
peut-il tourner sans soucis avec une noyau 2.6.20 ?



A priori, oui, sans avoir vérifié les release notes des versions
intermédiaires, je doute que des fonctionnalités aient été supprimées,
le seul risque étant donc des régressions.

Mais l'intérêt d'être en 6.06 _LTS_ devrait, en théorie si j'ai bien
tout compris, pouvoir bénéficier durant 18 mois de corrections de bugs
sur les paquets officiels.

Alors je ne sais pas dans quelle mesure ce bug ait été pris en compte
par kernel.org, dans quelle version du noyau a été corrigé s'il l'a été,
mais il me semble que si ce correctif existe, il devrait être mis à
dispo pour la Dapper, sinon, le concept de LTS perd tout son sens, et
*buntu sur des serveurs aussi AMHA.

A+
JF


Apparemment c'est plus compliqué car on dirait que les développeurs ne
savent pas trop ce qui se passe en fait. Le pb est résolu en 2.6.20 et
seulement confirmé pour les versions précédentes.

--
JBF


Mathieu SEGAUD
Le #1888937
Cumbalero
Autrement dit ce qui tourne avec un noyau 2.6.15
peut-il tourner sans soucis avec une noyau 2.6.20 ?



A priori, oui, sans avoir vérifié les release notes des versions
intermédiaires, je doute que des fonctionnalités aient été supprimées,
le seul risque étant donc des régressions.

Mais l'intérêt d'être en 6.06 _LTS_ devrait, en théorie si j'ai bien
tout compris, pouvoir bénéficier durant 18 mois de corrections de bugs
sur les paquets officiels.

Alors je ne sais pas dans quelle mesure ce bug ait été pris en compte
par kernel.org, dans quelle version du noyau a été corrigé s'il l'a
été, mais il me semble que si ce correctif existe, il devrait être mis
à dispo pour la Dapper, sinon, le concept de LTS perd tout son sens,
et *buntu sur des serveurs aussi AMHA.


j'arrive un peu après la bataille, mais bon on se refait pas.
Le problème est plus compliqué que ça, le noyau est qqch qui évolue
vite et il y a des chances non négligeables que le système soit moins
stable à cause des mismatchs en le noyau et udev (les dernières
versions ça m'étonnerait qu'elles soient compatibles avec un
2.6.15...). C'est pour ça que Dapper ne se verra jamais doté d'un
2.6.20 ou plus


ensuite, le noyau est un empilement complexe et
intelligent de couches et surcouches, mais l'organisation interne de
ces couches est amenée à évoluer souvent, et de nombreux bugs
disparaissent et apparaissent, signe qu'ils sont avant tout les
conséquences de cas particuliers non applicables avec le modèle en
couches utilisé par le kernel sur le moment.
Ce qu'il faut bien intégrer c'est qu'un noyau c complexe à intégrer
dans une distrib surtout avec le modèle de développement adopté par
les kernel hackers il y a 2 ans; et la seule manière viable de
maintenir une distrib stable sur plusieurs années, c'est de ne traquer
exclusivement que les bugs de *sécurité*

--
Mathieu


Yamo'
Le #1900855
Salut,
Vu la date du message je le cite intégralement.
Le Mon, 21 May 2007 05:37:19 +0200, JBF a écrit ce message (

Bonjour,

j'ai un problème d'ACPI sous Dapper qui ne tient pas compte des
modifications de fréquence de cpu. Apparemment c'est un bug du noyau
(https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.15/
+bug/36014)

D'où ma question : est-ce qu'il est possible de mettre un noyau 2.6.20
dans une Dapper ou bien est-on obligé de rester à un noyau 2.6.15 ?

Merci pour toute info.


L'ACPI a aussi des bug sur le noyau 2.6.20 ...
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/63550


Stéphane
--
Comment pourrais-je gouverner autrui,
qui moi-même gouverner ne saurais ?
-+- François Rabelais (1494?-1553), Gargantua (chap. 52) -+-

Publicité
Poster une réponse
Anonyme